Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # kth_semantic_element_type Struct Template Reference [kth_semantic_element_type, kth_semantic_element_reference_type, kth_semantic_element_const_reference_type, semantic_at_c] `#include <color_base_algorithm.hpp>` Inheritance diagram for kth_semantic_element_type: List of all members. ## Detailed Description ### template<typename ColorBase, int K> struct boost::gil::kth_semantic_element_type< ColorBase, K > Specifies the type of the K-th semantic element of a color base.
## Public Types
typedef kth_element_type < ColorBase, semantic_index > ::type | type
## Public Member Functions
| BOOST_STATIC_CONSTANT (int, semantic_index=(mpl::at_c< typename ColorBase::layout_t::channel_mapping_t, K >::type::value))
The documentation for this struct was generated from the following file: color_base_algorithm.hpp